#' @keywords internal
"_PACKAGE"

## usethis namespace: start
#' @importFrom AnnotationDbi mapIds
#' @importFrom batchelor correctExperiments
#' @importFrom batchelor NoCorrectParam
#' @importFrom batchelor regressBatches
#' @importFrom bluster NNGraphParam
#' @importFrom chevreuldata human_gene_transcript_sce
#' @importFrom circlize colorRamp2
#' @importFrom cluster agnes
#' @importFrom clustree clustree
#' @importFrom ComplexHeatmap draw
#' @importFrom ComplexHeatmap Heatmap
#' @importFrom ComplexHeatmap HeatmapAnnotation
#' @importFrom DataEditR dataEditServer
#' @importFrom DataEditR dataEditUI
#' @importFrom DataEditR dataFilterServer
#' @importFrom DataEditR dataFilterUI
#' @importFrom DataEditR dataOutputServer
#' @importFrom DataEditR dataOutputUI
#' @importFrom DataEditR dataSelectServer
#' @importFrom DataEditR dataSelectUI
#' @importFrom DBI dbAppendTable
#' @importFrom DBI dbConnect
#' @importFrom DBI dbDisconnect
#' @importFrom DBI dbReadTable
#' @importFrom DBI dbWriteTable
#' @importFrom dplyr arrange
#' @importFrom dplyr bind_cols
#' @importFrom dplyr bind_rows
#' @importFrom dplyr case_when
#' @importFrom dplyr coalesce
#' @importFrom dplyr distinct
#' @importFrom dplyr filter
#' @importFrom dplyr group_by
#' @importFrom dplyr left_join
#' @importFrom dplyr mutate
#' @importFrom dplyr one_of
#' @importFrom dplyr pull
#' @importFrom dplyr rename
#' @importFrom dplyr select
#' @importFrom dplyr summarize
#' @importFrom dplyr top_n
#' @importFrom DT datatable
#' @importFrom DT DTOutput
#' @importFrom DT formatStyle
#' @importFrom DT renderDT
#' @importFrom EnhancedVolcano EnhancedVolcano
#' @importFrom EnrichmentBrowser eaBrowse
#' @importFrom EnrichmentBrowser idMap
#' @importFrom EnrichmentBrowser nbea
#' @importFrom EnrichmentBrowser sbea
#' @importFrom EnsDb.Hsapiens.v86 EnsDb.Hsapiens.v86
#' @importFrom EnsDb.Mmusculus.v79 EnsDb.Mmusculus.v79
#' @importFrom ensembldb transcripts
#' @importFrom forcats fct_na_value_to_level
#' @importFrom fs dir_ls
#' @importFrom fs path
#' @importFrom fs path_abs
#' @importFrom fs path_dir
#' @importFrom fs path_expand
#' @importFrom fs path_ext_remove
#' @importFrom fs path_ext_set
#' @importFrom fs path_file
#' @importFrom future plan
#' @importFrom ggplotify as.ggplot
#' @importFrom ggpubr theme_pubr
#' @importFrom glue glue
#' @importFrom graphics points
#' @importFrom graphics text
#' @importFrom grDevices dev.off
#' @importFrom grDevices pdf
#' @importFrom grid unit
#' @importFrom harmony RunHarmony
#' @importFrom janitor make_clean_names
#' @importFrom methods is
#' @importFrom methods slot
#' @importFrom methods slot<-
#' @importFrom patchwork wrap_plots
#' @importFrom pillar new_pillar_type
#' @importFrom plotly config
#' @importFrom plotly event_data
#' @importFrom plotly ggplotly
#' @importFrom plotly highlight
#' @importFrom plotly layout
#' @importFrom plotly partial_bundle
#' @importFrom plotly plotlyOutput
#' @importFrom plotly renderPlotly
#' @importFrom plotly style
#' @importFrom plotly toWebGL
#' @importFrom purrr flatten_chr
#' @importFrom purrr map
#' @importFrom purrr map_chr
#' @importFrom purrr map_if
#' @importFrom purrr map_int
#' @importFrom purrr map_lgl
#' @importFrom purrr map2
#' @importFrom purrr pmap
#' @importFrom purrr reduce
#' @importFrom purrr set_names
#' @importFrom rappdirs user_cache_dir
#' @importFrom readr read_csv
#' @importFrom rlang is_empty
#' @importFrom RSQLite SQLite
#' @importFrom S4Vectors metadata
#' @importFrom scales hue_pal
#' @importFrom scales pseudo_log_trans
#' @importFrom scales rescale
#' @importFrom scater plotDots
#' @importFrom scater plotExpression
#' @importFrom scater plotPCA
#' @importFrom scater plotReducedDim
#' @importFrom scater runPCA
#' @importFrom scater runTSNE
#' @importFrom scater runUMAP
#' @importFrom scran buildSNNGraph
#' @importFrom scran clusterCells
#' @importFrom scran computeSumFactors
#' @importFrom scran cyclone
#' @importFrom scran findMarkers
#' @importFrom scran getClusteredPCs
#' @importFrom scran getTopHVGs
#' @importFrom scran modelGeneVar
#' @importFrom scran quickCluster
#' @importFrom scuttle addPerCellQCMetrics
#' @importFrom scuttle logNormCounts
#' @importFrom shiny incProgress
#' @importFrom shiny selectInput
#' @importFrom shiny withProgress
#' @importFrom shinydashboard box
#' @importFrom shinydashboard dashboardBody
#' @importFrom shinydashboard dashboardHeader
#' @importFrom shinydashboard dashboardSidebar
#' @importFrom shinydashboard menuItem
#' @importFrom shinydashboard sidebarMenu
#' @importFrom shinydashboard tabItem
#' @importFrom shinydashboard tabItems
#' @importFrom shinyFiles getVolumes
#' @importFrom shinyFiles parseFilePaths
#' @importFrom shinyFiles parseSavePath
#' @importFrom shinyFiles shinyFileChoose
#' @importFrom shinyFiles shinyFileSave
#' @importFrom shinyFiles shinyFilesButton
#' @importFrom shinyFiles shinySaveButton
#' @importFrom shinyhelper helper
#' @importFrom shinyhelper observe_helpers
#' @importFrom shinyjs alert
#' @importFrom shinyjs hidden
#' @importFrom shinyjs html
#' @importFrom shinyjs runcodeServer
#' @importFrom shinyjs runcodeUI
#' @importFrom shinyjs useShinyjs
#' @importFrom shinyWidgets prettyRadioButtons
#' @importFrom stats as.dendrogram
#' @importFrom stats dist
#' @importFrom stats hclust
#' @importFrom stats reorder
#' @importFrom stats runif
#' @importFrom stats setNames
#' @importFrom stringr str_detect
#' @importFrom stringr str_remove
#' @importFrom stringr str_replace
#' @importFrom stringr str_replace_all
#' @importFrom stringr str_subset
#' @importFrom stringr str_to_title
#' @importFrom tibble column_to_rownames
#' @importFrom tibble deframe
#' @importFrom tibble enframe
#' @importFrom tibble rownames_to_column
#' @importFrom tidyr drop_na
#' @importFrom tidyr pivot_wider
#' @importFrom tidyr unite
#' @importFrom utils capture.output
#' @importFrom utils data
#' @importFrom utils head
#' @importFrom utils packageVersion
#' @importFrom utils sessionInfo
#' @importFrom waiter spin_loaders
#' @importFrom waiter transparent
#' @importFrom waiter use_waiter
#' @importFrom waiter Waiter
#' @importFrom wiggleplotr plotCoverageFromEnsembldb
## usethis namespace: end
#' @import ggplot2
#' @import SingleCellExperiment
#' @import SummarizedExperiment
#' @import shiny
#' @import dplyr
#' @import stringr
#' @import tidyr
NULL

